package com.tzld.piaoquan.recommend.server.grpcservice;

import com.tzld.piaoquan.recommend.server.gen.demo.HelloRequest;
import com.tzld.piaoquan.recommend.server.gen.demo.HelloResponse;
import com.tzld.piaoquan.recommend.server.gen.demo.HelloServiceGrpc;
import io.grpc.stub.StreamObserver;
import net.devh.boot.grpc.server.service.GrpcService;

/**
 * @author dyp
 */
@GrpcService
public class HelloService extends HelloServiceGrpc.HelloServiceImplBase{
    public void sayHello(HelloRequest request, StreamObserver<HelloResponse> responseObserver) {
        HelloResponse.Builder builder = HelloResponse.newBuilder().setReply(request.getGreeting());
        responseObserver.onNext(builder.build());
        responseObserver.onCompleted();
    }
}
