package com.tzld.piaoquan.recommend.server.util;

import com.google.gson.Gson;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class JSONUtils {


    public static String toJson(Object obj) {
        if (obj == null) {
            return "";
        }
        try {
            return new Gson().toJson(obj);
        } catch (Exception e) {
            log.error("toJson exception", e);
            return "";
        }
    }
}
