package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.apache.commons.lang3.tuple.Pair;
import org.springframework.stereotype.Service;

/**
 * @author dyp
 */
@Service
public class QuickFlowPoolWithLevelScoreRecallStrategy extends AbstractFlowPoolWithLevelScoreRecallStrategy {

    @Override
    Pair<String, String> flowPoolKeyAndLevel(RecallParam param) {
        return Pair.of(String.format("flow:pool:quick:item:score:%s:3", param.getAppType()), "");
    }

    @Override
    String pushFrom() {
        return "flow_pool";
    }
}
